'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _map = require('lodash/collection/map');

var _map2 = _interopRequireDefault(_map);

var _filter = require('lodash/collection/filter');

var _filter2 = _interopRequireDefault(_filter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getJsdocParameterNames = undefined,
    getJsdocParameterNamesDeep = undefined;

getJsdocParameterNamesDeep = function (jsdoc) {
    var jsdocParameterNames = undefined;

    jsdocParameterNames = (0, _filter2.default)(jsdoc.tags, {
        tag: 'param'
    });

    jsdocParameterNames = (0, _map2.default)(jsdocParameterNames, 'name');

    return jsdocParameterNames;
};

getJsdocParameterNames = function (jsdoc) {
    var jsdocParameterNames = undefined;

    jsdocParameterNames = getJsdocParameterNamesDeep(jsdoc);

    jsdocParameterNames = (0, _filter2.default)(jsdocParameterNames, function (name) {
        return name.indexOf('.') === -1;
    });

    return jsdocParameterNames;
};

exports.default = {
    getJsdocParameterNames: getJsdocParameterNames,
    getJsdocParameterNamesDeep: getJsdocParameterNamesDeep
};
module.exports = exports['default'];
//# sourceMappingURL=jsdocUtils.js.map
